#ifndef __BSP_MOTOR_H__
#define __BSP_MOTOR_H__
#include <stdbool.h>
#include <stdint.h>


#define SERVO_RX_QUEUE_SIZE 128 // Modbus RTU 接收队列大小
extern struct rt_messagequeue servo_mq;

int bsp_servo_init(void);

int32_t bsp_servo_uart_read(uint8_t *buf, uint16_t count, int32_t timeout, void *arg);

int32_t bsp_servo_uart_write(const uint8_t *buf, uint16_t count, int32_t timeout, void *arg);

#endif // __BSP_MOTOR_H__
